Subject: Re: [PATCH] commit: Add commit.signoff configuration option

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Jun 2025 06:32:35 -0700

Chris Down <[email-masked]> writes:

> Looking at public dotfiles, many users already work around this with
> global shell aliases for "commit --signoff". This creates the exact
> problem

Users conciously using a general customization mechanism to express
specific intent like the above is one thing.  Project giving users a
tool that is specifically designed to casually set and forget before
even understanding the implications is another.

So no, anything that specifically targets commit.signoff would not
fall into the same category as end-users creating aliases for
themselves to use, I would have to say.  And we do not want to give
an impression that we give tools specifically designed to encourage
users making casual sign-offs.